/* 
   FBColumnMetaData.h

   Copyright (C) 1999 MDlink online service center GmbH and Helge Hess

   Author: Helge Hess (helge.hess@mdlink.de)

   This file is part of the FB Adaptor Library

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; see the file COPYING.LIB.
   If not, write to the Free Software Foundation,
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/
// $Id: FBColumnMetaData.h,v 1.2 1999/11/02 23:32:39 helge Exp $

#ifndef __FrontBase_FBColumnMetaData_H__
#define __FrontBase_FBColumnMetaData_H__

#import <Foundation/NSObject.h>

@class FBDatabaseConnection;

@interface FBColumnMetaData : NSObject
{
  void *cmd;
}

- (id)initWithComponents:(NSString *)_str;

/* accessors */

- (NSString *)schemaName;
- (NSString *)tableName;
- (NSString *)columnName;
- (NSString *)labelName;
- (BOOL)isNullable;

@end

@interface FBColumnMetaData(PrivateMethods)

- (id)initWithCColumnMetaData:(void *)_ccmd;

@end

#endif /* __FrontBase_FBColumnMetaData_H__ */
