/* 
   FBBlobHandle.h

   Copyright (C) 1999 MDlink online service center GmbH and Helge Hess

   Author: Helge Hess (helge.hess@mdlink.de)

   This file is part of the FrontBase Adaptor Library

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; see the file COPYING.LIB.
   If not, write to the Free Software Foundation,
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/
// $Id: FBBlobHandle.h,v 1.1 1999/10/25 13:16:13 helge Exp $

#ifndef ___FB_FBBlobHandle_H___
#define ___FB_FBBlobHandle_H___

#import <Foundation/NSObject.h>
#import "FBValues.h"

@interface FBBlobHandle : NSObject < FBValues >
{
@private
  NSString *bid;
}

- (id)initWithBlobID:(NSString *)_bid;
- (NSString *)blobID;

@end

#endif /* ___FB_FBBlobHandle_H___ */
